Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.heuristic.selector.entity.pillar
Interface PillarSelector

All Superinterfaces:
  EventListener, Iterable<List<Object>>, IterableSelector<List<Object>>, ListIterable<List<Object>>, ListIterableSelector<List<Object>>, Selector, SolverLifecycleListener, SolverPhaseLifecycleListener

All Known Implementing Classes:
  SameValuePillarSelector

    public interface PillarSelector

extends ListIterableSelector<List<Object>>

A pillar is a `List` of entities that are somehow related. Selects a `List` of somehow related entities that are moved together.

See Also:
  `EntitySelector`

Method Summary
`PlanningEntityDescriptor` | `getEntityDescriptor()`

Methods inherited from interface org.drools.planner.core.heuristic.selector.IterableSelector
`getSize`

Methods inherited from interface org.drools.planner.core.heuristic.selector.Selector
`getCacheType, isContinuous, isNeverEnding`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Methods inherited from interface org.drools.planner.core.heuristic.selector.common.iterator.ListIterable
`listIterator, listIterator`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getEntityDescriptor

    PlanningEntityDescriptor getEntityDescriptor()

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.